#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dhall
version:              1.40.2
visibility:           public
id:                   dhall-1.40.2-CXmcb2LuFFC6J4XiL3NOob
key:                  dhall-1.40.2-CXmcb2LuFFC6J4XiL3NOob
license:              BSD-3-Clause
copyright:            2017 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             A configuration language guaranteed to terminate
description:
    Dhall is an explicitly typed configuration language that is not Turing
    complete.  Despite being Turing incomplete, Dhall is a real programming
    language with a type-checker and evaluator.

    Use this library to parse, type-check, evaluate, and pretty-print the Dhall
    configuration language.  This package also includes an executable which
    type-checks a Dhall file and reduces the file to a fully evaluated normal
    form.

    Read "Dhall.Tutorial" to learn how to use this library

category:             Compiler
abi:                  696f36ec37c3ddbbace7aa93a0513bd9
exposed:              True
exposed-modules:
    Dhall Dhall.Binary Dhall.Context Dhall.Core Dhall.Crypto
    Dhall.Deriving Dhall.Diff Dhall.DirectoryTree Dhall.Format
    Dhall.Freeze Dhall.Import Dhall.Lint Dhall.Main Dhall.Map
    Dhall.Marshal.Decode Dhall.Marshal.Encode Dhall.Optics Dhall.Parser
    Dhall.Parser.Expression Dhall.Parser.Token Dhall.Pretty Dhall.Repl
    Dhall.Schemas Dhall.Set Dhall.Src Dhall.Substitution Dhall.TH
    Dhall.Tags Dhall.Tutorial Dhall.TypeCheck Dhall.Util Dhall.Version

hidden-modules:
    Dhall.Eval Dhall.Import.Types Dhall.Import.Headers
    Dhall.Marshal.Internal Dhall.Normalize Dhall.Parser.Combinators
    Dhall.Pretty.Internal Dhall.Syntax Dhall.URL Paths_dhall
    Dhall.Import.HTTP Dhall.Import.Manager

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dhall-1.40.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dhall-1.40.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/dhall
hs-libraries:         HSdhall-1.40.2-CXmcb2LuFFC6J4XiL3NOob
depends:
    Diff-0.4.1-E5dGZrw6cYcH5NgKlk1om6
    aeson-1.5.6.0-AIOjF99b4i15RTiIgKIYjO
    aeson-pretty-0.8.9-2P1rx6D0FeTJ27OpqVWypq
    ansi-terminal-0.11.1-HNnEdSu65ZhDbOYiPbejEK
    atomic-write-0.2.0.7-JmuXQzWh1nc16ng3u3X7Ro base-4.15.1.0
    base16-bytestring-1.0.2.0-IguRk88oKP7GmO5zswbh6u
    bytestring-0.10.12.1
    case-insensitive-1.2.1.0-4QvuI05qOAz9oIhe5g8s7S
    cborg-0.2.6.0-K83i6UZE4ITJCb4XNd6FSV
    cborg-json-0.2.3.0-1GvpBqRbCwv7IGZ2qKlnTx containers-0.6.4.1
    contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd
    cryptohash-sha256-0.11.102.1-3G3JqldC5K38GVw2sCrsJl
    data-fix-0.3.2-8aWgDhtjRamAPkaffNuDc9 deepseq-1.4.5.0
    directory-1.3.6.2 dotgen-0.4.3-JbRUtf7kscIJibZz2RQNw
    either-5.0.1.1-4NjydIkN09TH0VToWj6aZS exceptions-0.10.4
    filepath-1.4.2.1 half-0.3.1-HAmszasTADpKy8cNcWJb9m
    hashable-1.4.0.0-1WceaWFbireGDX0CpHAq2k haskeline-0.8.2
    http-client-0.7.11-2SHnBcR7ajT96GZQkUjBXl
    http-client-tls-0.3.6-M2dPwvVLI52vhe7s0x8Dw
    http-types-0.12.3-IiksKUQszn8LclffIxdF4V
    lens-family-core-2.1.0-Cx6Q6yJZPCD8ZRYLTcWeZ6
    megaparsec-9.2.0-mq2j7EfyZ9JnOVbmrddm4
    mmorph-1.2.0-rUcqJ8kf022ZNG6tH16A7 mtl-2.2.2
    network-uri-2.6.4.1-8f9i79TUj715JZhvQgaY4U
    optparse-applicative-0.16.1.0-9iRWBC4qNzx4IOs61bJ7Xj
    parser-combinators-1.3.0-FL5bcA6sX4a2ejs4tDtkjB
    parsers-0.12.10-H4MFquCgdn94k2k3bzoPUP
    pretty-simple-4.0.0.0-6il0lY2t5fe8ezHoHW76zA
    prettyprinter-1.7.1-7JVkKd72NixFgZyVogsi8v
    prettyprinter-ansi-terminal-1.1.3-18Zv2BD7TpNA2bmcXtAydh
    profunctors-5.6.2-KYEjuwlgtSODrOzviHTedi
    repline-0.4.0.0-6bvAMszLC6hI3FkrbVAM4E
    scientific-0.3.7.0-65DCAuzTAutLqM6Vcsju3Y
    serialise-0.2.4.0-36xyRxkIwILwaLGNMVCy7 template-haskell-2.17.0.0
    text-1.2.5.0 text-manipulate-0.3.0.0-AKR59RKGskb36silSZ3A0D
    th-lift-instances-0.1.19-KNVcry4OPxY2UK0a2dipOR time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.17.0-3BdVQ0XjWEwL87G4XZjXWP
    uri-encode-1.5.0.7-DsWv3ZPnS1qBmi915BKYmf
    vector-0.12.3.1-5HK1DqtCbep8rMk53O5plV

haddock-interfaces:   /usr/share/doc/dhall/html/dhall.haddock
haddock-html:         /usr/share/doc/dhall/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

